Package: org.codehaus.groovy.macro.runtime

## [Java] Enum MacroBuilder

- org.codehaus.groovy.macro.runtime.MacroBuilder

- - ### Enum Constants Summary

    Enum constants classes
    Enum constant | Description
    --- | ---
    `INSTANCE` |

  - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `static ASTNode` | `getMacroValue(BlockStatement closureBlock, boolean asIs)`
    `` | `protected SourceUnit` | `getSourceUnit()`
    `` | `T` | `macro(String source, List<Closure<Expression>> context, Class<T> resultClass)`
    `` | `T` | `macro(boolean asIs, String source, List<Closure<Expression>> context, Class<T> resultClass)`
    `` | `T` | `macro(CompilePhase compilePhase, String source, List<Closure<Expression>> context, Class<T> resultClass)`
    `` | `T` | `macro(CompilePhase compilePhase, boolean asIs, String source, List<Closure<Expression>> context, Class<T> resultClass)`
    `` | `Expression` | `transform(Expression expression)`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class Object` | `wait, wait, wait, equals, toString, hashCode, getClass, notify, notifyAll`

- - ### Enum Constant Detail

    - #### public MacroBuilder INSTANCE

  - ### Method Detail

    - #### public static ASTNode getMacroValue(BlockStatement closureBlock, boolean asIs)

    - #### @com.github.javaparser.ast.expr.MarkerAnnotationExprOverride protected SourceUnit getSourceUnit()

    - #### public T macro(String source, List<Closure<Expression>> context, Class<T> resultClass)

    - #### public T macro(boolean asIs, String source, List<Closure<Expression>> context, Class<T> resultClass)

    - #### public T macro(CompilePhase compilePhase, String source, List<Closure<Expression>> context, Class<T> resultClass)

    - #### @com.github.javaparser.ast.expr.SingleMemberAnnotationExprSuppressWarnings public T macro(CompilePhase compilePhase, boolean asIs, String source, List<Closure<Expression>> context, Class<T> resultClass)

    - #### public Expression transform(Expression expression)